## open-invaders 0.3

=== debian/changelog ===
open-invaders (0.3-8build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:05:48 +1100

open-invaders (0.3-8build1) noble; urgency=high

  * No change rebuild against libdumb1t64, liballegro4.4t64,
    libaldmb1t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:47:01 +0100

open-invaders (0.3-8) unstable; urgency=medium

  * QA upload.
  * Drop 404-compliant git URLs to Salsa.
  * Fix FTBFS on new platforms in a future-proof way, closes: #1011963
  * Mark -data as MA:foreign.
  * Fix an occassional crash during gameplay, closes: #989063 [John G]

 -- Adam Borowski <kilobyte@angband.pl>  Sat, 28 May 2022 11:55:46 +0200

open-invaders (0.3-7) unstable; urgency=medium

  * QA upload.
  * Upload to unstable.

 -- Adrian Bunk <bunk@debian.org>  Thu, 16 Sep 2021 14:27:04 +0300

open-invaders (0.3-6) experimental; urgency=medium

  * QA upload.
  * debian/control:
      - Added 'Rules-Requires-Root: no' to source stanza.
      - Added Vcs-* URLs to salsa.debian.org.
      - Bumped DH level format to 13.
      - Bumped Standards-Version to 4.5.1.
      - Updated homepage.
  * debian/copyright: Updated for format 1.0.
  * debian/lintian-overrides: Created for false positive.
  * debian/debian/open-invaders-data.docs renamed for open-invaders.docs.
  * debian/open-invaders.desktop: Added Keywords.
  * debian/patches/doc_directory_commented.patch: Created.
  * debian/patches/fix_ftbfs_gcc45.patch: Added header.
  * debian/patches/fix_pmask_amd64.patch: Added header.
  * debian/patches/format_security.patch: Added date in header.
  * debian/rules: Added the DEB_BUILD_MAINT_OPTIONS, DEB_CXXFLAGS_MAINT_APPEND,
                  DEB_CFLAGS_MAINT_APPEND and DEB_LDFLAGS_MAINT_APPEND variable
                  to improve the GCC hardening.
  * debian/salsa-ci.yml: Added to provide CI tests for Salsa.
  * debian/upstream/metadata: Created.
  * debian/watch:
      - Bumped to version 4.
      - Updated the source address.

 -- Hugo Torres de Lima <hugotorres@protonmail.com>  Mon, 10 May 2021 14:49:33 -0300

open-invaders (0.3-5) unstable; urgency=medium

  * QA upload.
  * Properly orphan the package and set the maintainer to the Debian QA group.
    (Closes: #942621)
  * Switch to debhelper-compat = 12.
  * Declare compliance with Debian Policy 4.4.1.
  * Drop deprecated open-invaders.menu file.

 -- Markus Koschany <apo@debian.org>  Mon, 28 Oct 2019 01:02:33 +0100

open-invaders (0.3-4.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Install man page with open-invaders.manpages instead of
    using dh_installman in dh_auto_install override to avoid duplicate
    installation into open-invaders-data. (Closes: #839047)

 -- Markus Koschany <apo@debian.org>  Wed, 28 Sep 2016 10:27:48 +0200

open-invaders (0.3-4.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Add gcc6.patch and fix FTBFS with GCC-6. (Closes: #811654)
  * Switch to compat level 10. (Closes: #727477)
  * Update Homepage field and point to tracker.debian.org because the old
    homepage is blacklisted in Firefox.

 -- Markus Koschany <apo@debian.org>  Tue, 27 Sep 2016 21:31:32 +0200

open-invaders (0.3-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * fix_pmask: add mips64el, arm64, ppc64el, x32 support (Closes: 754361)

 -- YunQiang Su <syq@debian.org>  Thu, 16 Oct 2014 22:13:36 +0800

open-invaders (0.3-4) unstable; urgency=medium

  * Acknowledge NMUs. Thanks Alexander and Tobias!
  * Move the ALLEGRO_LINUX -> ALLEGRO_UNIX substitution to
    debian/rules for easier maintenance.
  * Switch package to dh7 and bump Standards-Version to 3.9.3.

 -- Siegfried-Angel Gevatter Pujals <rainct@ubuntu.com>  Mon, 10 Sep 2012 15:09:12 +0200

open-invaders (0.3-3.2) unstable; urgency=high

  * Non-maintainer upload.
  * debian/patches/do-not-use-ALLEGRO_LINUX-macro.patch:
    - Replace ALLEGRO_LINUX macro with ALLEGRO_UNIX to allow building
      with an Allegro version without Linux console mode (allegro4.4).
      Closes: #668815
  * Replace Build-Depends: liballegro4.2-dev by liballegro4-dev in
    preparation for a renaming of the dev package in the future.

 -- Tobias Hansen <tobias.han@gmx.de>  Sun, 03 Jun 2012 12:26:36 +0200

open-invaders (0.3-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "FTBFS: ending.cc:218:128: error: format not a string literal
    and no format arguments [-Werror=format-security]" by adding the patch
    from Ilya Barygin (Closes: #643450).
  * Urgency set to medium.

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Sun, 04 Dec 2011 12:47:26 +0100

open-invaders (0.3-3) unstable; urgency=low

  * debian/patches/fix_pmask_amd64.patch:
     - Add support for s390x and sparc64 architectures (Closes: #638376).
       Thanks to Aurelien Jarno.
  * Change to source format 3.0 (quilt).

 -- Siegfried-Angel Gevatter Pujals <rainct@ubuntu.com>  Sat, 03 Sep 2011 22:04:18 +0200

open-invaders (0.3-2) unstable; urgency=low

  * debian/control:
     - Raise the minimum liballegro4.2 version in the build dependencies
       to 2:4.2.2-2 (Closes: #499627). Thanks to Lucio Crusca.
     - Improve package description (Closes: #602567). Thanks to Enrico Zini.
     - Bump Standards Version to 3.9.1.
  * debian/open-invaders.6:
     - Update "Bugs" section to mention Debian BTS instead of the now closed
       upstream message board.
  * debian/copyright:
     - Update copyright years.
  * debian/patches/fix_ftbfs_gcc45.patch:
     - Add missing include to fix build failure with GCC 4.5 (Closes: #590095).
       Thanks to Bhavani Shankar <bhavi@ubuntu.com> (LP: #609505).

 -- Siegfried-Angel Gevatter Pujals <rainct@ubuntu.com>  Sat, 04 Dec 2010 01:04:03 +0100

open-invaders (0.3-1) unstable; urgency=low

  * New upstream version.
  * Quite some packaging changes:
     - Change my email address.
     - Split package into two binaries (ie, add -data package).
     - Switch to CDBS.

