=== debian/control ===
Source: open-invaders
Section: games
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13),
               libaldmb1-dev (>= 1:0.9.3),
               liballegro4-dev,
               libasound2-dev,
               libxext-dev,
               libxxf86vm1,
               pkg-config
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://sourceforge.net/projects/open-invaders

Package: open-invaders
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         open-invaders-data (= ${source:Version})
Description: Space Invaders clone
 Space Invaders is one of the earliest arcade shoot 'em up games.
 The player can move horizontally across the bottom of the screen
 and must shoot at an incoming wave of aliens before they reach
 the bottom.
 .
 Open Invaders is a clone of the legendary 70's classic, but with
 completely new graphics, several bonus levels, etc.

Package: open-invaders-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: open-invaders (= ${source:Version})
Description: Space Invaders clone (data package)
 Space Invaders is one of the earliest arcade shoot 'em up games.
 The player can move horizontally across the bottom of the screen
 and must shoot at an incoming wave of aliens before they reach
 the bottom.
 .
 Open Invaders is a clone of the legendary 70's classic, but with
 completely new graphics, several bonus levels, etc.
 .
 This package contains the data used by the game.
