=== debian/watch ===
version = 4
https://sf.net/open-invaders/ open-invaders-@ANY_VERSION@@ARCHIVE_EXT@
